[HOME] [DOWNLOAD] [DOCS] [BLOG] [SUPPORT] [TIPS] [ISSUES] [Priority Support]

How to install a actual Electrum Version?


#1

How do i install the latest Electrum Version in Whonix?

sudo apt-get -t jessie-backports install electrum
this installs a old version.


#2

This will work (as per Electrum official instructions):

Install dependencies:
sudo apt-get install python-qt4 python-pip

Install Electrum:
sudo pip2 install https://download.electrum.org/2.9.3/Electrum-2.9.3.tar.gz

Source: https://electrum.org/#download

This will install Electrum 2.9.3

Then proceed as per instructions here for stream isolation:

Note: I don’t know whether choosing the latest version over the backport version poses security problems.


#3

Thank you. It works fine.


#4

@HulaHoop could you please explain why pip is not great (no OpenPGP verification) if that is still the case and add to the https://www.whonix.org/wiki/Install_Software page?


Long Wiki Edits Thread
#5

Done. I made a general comment that covers the infamous node js too.


Long Wiki Edits Thread
#6

Thanks. I’ll give a try to the backports version (never really bothered to until now).